*** textsearch.sgml	2009-08-02 11:22:38.000000000 -0700
--- textsearch.sgml.new	2009-08-02 11:22:27.000000000 -0700
***************
*** 2290,2315 ****
     </para>
     
     <para>
!     Star sign <literal>*</literal> at the end of definition word indicates, 
!     that definition word is a prefix and <function>to_tsquery()</function> 
!     function will transform that definition to the prefix search format. 
!     Notice, it is ignored in <function>to_tsvector()</function>.
     </para>
  
  <programlisting>
- > cat $SHAREDIR/tsearch_data/synonym_sample.syn
- postgres        pgsql
- postgresql      pgsql
- postgre pgsql
- gogle   googl
- indices index*
- > cat $SHAREDIR/tsearch_data/synonym_sample.syn
  postgres        pgsql
  postgresql      pgsql
  postgre pgsql
  gogle   googl
  indices index*
  
  =# create text search dictionary syn( template=synonym,synonyms='synonym_sample');
  =# select ts_lexize('syn','indices');
   ts_lexize
--- 2290,2317 ----
     </para>
     
     <para>
!     An asterisk (<literal>*</literal>) at the end of definition word indicates 
!     that definition word is a prefix, and <function>to_tsquery()</function> 
!     function will transform that definition to the prefix search format (see 
!     <xref linkend="textsearch-parsing-queries">). 
!     Notice that it is ignored in <function>to_tsvector()</function>.
     </para>
  
+    <para>
+     Contents of <filename>$SHAREDIR/tsearch_data/synonym_sample.syn</>:
+    </para>
  <programlisting>
  postgres        pgsql
  postgresql      pgsql
  postgre pgsql
  gogle   googl
  indices index*
+ </programlisting>
  
+    <para>
+     Results:
+    </para>
+ <programlisting>
  =# create text search dictionary syn( template=synonym,synonyms='synonym_sample');
  =# select ts_lexize('syn','indices');
   ts_lexize
***************
*** 2324,2329 ****
--- 2326,2338 ----
  ------------
   'index':*
  (1 row)
+ 
+ =# select 'indexes are very useful'::tsvector;
+             tsvector             
+ ---------------------------------
+  'are' 'indexes' 'useful' 'very'
+ (1 row)
+ 
  =# select 'indexes are very useful'::tsvector @@ to_tsquery('tst','indices');
   ?column?
  ----------
